

#if (!requireNamespace("BiocManager", quietly = TRUE))
#    install.packages("BiocManager")
#BiocManager::install("limma")

#install.packages("ggplot2")

rm(list = ls())
#
library(limma)
library(ggplot2)
load(file = "data.Rdata")
data=data[rowMeans(data)>0.2,]
#
group=sapply(strsplit(colnames(data),"\\-"), "[", 4)
group=sapply(strsplit(group,""), "[", 1)
group=gsub("2","1",group)
data=data[,group==0]
colnames(data)=gsub("(.*?)\\-(.*?)\\-(.*?)\\-(.*?)\\-.*", "\\1\\-\\2\\-\\3", colnames(data))
data=t(data)
data=avereps(data)
datasee = data[,c(1:3)]


risk=read.table("risk.all.txt", header=T, sep="\t", check.names=F, row.names=1)
sameSample=intersect(rownames(data),rownames(risk))
data=data[sameSample,]
Risk=risk[sameSample,"risk"]

#PCA 
data.pca=prcomp(data, scale. = TRUE)
pcaPredict=predict(data.pca)
PCA = data.frame(PC1=pcaPredict[,1], PC2=pcaPredict[,2], Risk)

#total gene PCA
pdf(file="PCA.total.pdf", width=4.5, height=3.4)
p=ggplot(data = PCA, aes(PC1, PC2)) + geom_point(aes(color = Risk)) +
  scale_colour_manual(name="Risk",  values =c("maroon1", "lightslateblue"))+
  theme_bw()+
  theme(plot.margin=unit(rep(1.5,4),'lines'))+
  theme(panel.grid.major = element_blank(), panel.grid.minor = element_blank())
print(p)
dev.off()




