

#if (!requireNamespace("BiocManager", quietly = TRUE))
#    install.packages("BiocManager")
#BiocManager::install("limma")

#install.packages("ggplot2")

rm(list = ls())
#
library(limma)
library(ggplot2)

expFile="lncRNA.diffExp.txt"         #
riskFile="risk.all.txt"     #

###########
risk=read.table(riskFile, header=T, sep="\t", check.names=F, row.names=1)
data=risk[,3:(ncol(risk)-2)]      
Risk=as.vector(risk[,"risk"])     
#
data.pca=prcomp(data, scale. = TRUE)
pcaPredict=predict(data.pca)
PCA = data.frame(PC1=pcaPredict[,1], PC2=pcaPredict[,2], Risk)
#outTab=cbind("id" = rownames(PCA),PCA)
write.table(cbind(id=rownames(PCA),PCA),file="PCA.txt",sep="\t",quote=F,row.names=F)

#
PCA=read.table(file = "PCA.txt", header=T, sep="\t", row.names=1)

pdf(file="PCA.risk.pdf", width=4.5, height=3.4)
p=ggplot(data = PCA, aes(PC1, PC2)) + geom_point(aes(color = Risk)) +
		scale_colour_manual(name="Risk",  values =c("maroon1", "lightslateblue"))+
		theme_bw()+
		theme(plot.margin=unit(rep(1.2,4),'lines'))+
		theme(panel.grid.major = element_blank(), panel.grid.minor = element_blank())
print(p)
dev.off()


