

#if (!requireNamespace("BiocManager", quietly = TRUE))
#    install.packages("BiocManager")
#BiocManager::install("limma")

#install.packages("ggplot2")

rm(list = ls())
#
library(limma)
library(ggplot2)
rt=read.table("FerrGeneExp.txt", header=T, sep="\t", check.names=F)
risk=read.table("risk.all.txt", header=T, sep="\t", check.names=F, row.names=1)
rt=as.matrix(rt)
rownames(rt)=rt[,1]
exp=rt[,2:ncol(rt)]
dimnames=list(rownames(exp),colnames(exp))
data=matrix(as.numeric(as.matrix(exp)),nrow=nrow(exp),dimnames=dimnames)
data=avereps(data)
data=data[rowMeans(data)>0.5,]

#
type=sapply(strsplit(colnames(data),"\\-"),"[",4)
type=sapply(strsplit(type,""),"[",1)
type=gsub("2","1",type)
data=t(data[,type==0])
rownames(data)=gsub("(.*?)\\-(.*?)\\-(.*?)\\-.*","\\1\\-\\2\\-\\3",rownames(data))

#
sameSample=intersect(rownames(data),rownames(risk))
data=data[sameSample,]
Risk=risk[sameSample,"risk"]

#PCA
data.pca=prcomp(data, scale. = TRUE)
pcaPredict=predict(data.pca)
PCA = data.frame(PC1=pcaPredict[,1], PC2=pcaPredict[,2], Risk)

#ferroptosis-related genes PCA
pdf(file="PCA.ferGene.pdf", width=4.5, height=3.4)
p=ggplot(data = PCA, aes(PC1, PC2)) + geom_point(aes(color = Risk)) +
  scale_colour_manual(name="Risk",  values =c("maroon1", "lightslateblue"))+
  theme_bw()+
  theme(plot.margin=unit(rep(1.5,4),'lines'))+
  theme(panel.grid.major = element_blank(), panel.grid.minor = element_blank())
print(p)
dev.off()




